Subject: questions on "lads" and "voluntary departure" (fwd)

From: [email-masked]
Date: Mon, 15 Nov 93 16:06:47 CST

---------- Forwarded message ----------
Date: Mon, 15 Nov 1993 14:59:09 -0600 (CST)
>From: [email-masked]
To: Multiple recipients of ccnl <[email-masked]>
Subject: questions on "lads" and "voluntary departure"

I am one of those unfortunate "late arrival dependents". I guess I will
enter the "Voluntary departure program" when I submit the PR application
to INS. I would appreciate if anyone could help me with the follwing
questions: 
1. Do "lads" have to leave the U.S. after missing the August window? If
yes, When? Right after the submission of the application, the time informed by
INS, or right before the approval of the application?
2. What are the forms required to be filled out?
3. How long is the waiting period?

Any message sending directly to me or though the ccnl will be very
appreciated! 

My address is [email-masked]